Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class VAxisLabel

    java.lang.Object
      |
      +--com.java4less.rchart.ChartComponent
            |
            +--com.java4less.rchart.AxisLabel
                  |
                  +--com.java4less.rchart.VAxisLabel

public class VAxisLabel
extends AxisLabel

    A vertical label is an axis label that will be displayed along the vertical axis. The following example illustrates this feature:

    com.java4less.rchart.VAxisLabel YLabel= new VAxisLabel("Brutto", GraphicsProvider.getColor(ChartColor.WHITE) ,new GraphicsProvider.getFont("Arial",ChartFont.BOLD,14));

    the label must be assigned to the chart like this:

    chart.YLabel=YLabel;

Field Summary

Fields inherited from class com.java4less.rchart.AxisLabel
`color, font, title, vertical`

Fields inherited from class com.java4less.rchart.ChartComponent
`height, width, x, y`

Constructor Summary
`VAxisLabel(java.lang.String t, ChartColor c, ChartFont f)` creates the vertical label.

Method Summary
`void` | `draw(ChartGraphics g)` instructs the label to draw itself at the position specified by the ChartComponent fiels (x,y,width,height).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAxisLabel

    public VAxisLabel(java.lang.String t,
                      ChartColor c,
                      ChartFont f)

  creates the vertical label.

Parameters:
  `t` - value of the label
  `c` - color
  `f` - font

Method Detail

### draw

    public void draw(ChartGraphics g)

  instructs the label to draw itself at the position specified by the ChartComponent fiels (x,y,width,height).

  Overrides:
    `draw` in class `AxisLabel`
  Parameters:
    `g` - graphic context to paint on

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD